package com.jcg.camel.example;

import org.apache.camel.CamelContext;
import org.apache.camel.builder.RouteBuilder;
import org.apache.camel.impl.DefaultCamelContext;

public class CamelFileApp {
    
	public static void main(final String[] args) throws Exception {
        String folderA = "file:demo/copyFrom";
        String folderB= "file:demo/copyTo";
        
        
        //First we get the CamelContext
        CamelContext camelContext = new DefaultCamelContext();
        
        //Next we provide the Route info and tell Camel to set idempotent=true
        //by adding "?noop=true" to the URI
        camelContext.addRoutes(new RouteBuilder() {
            @Override
            public void configure() {
            	
                from(folderA).to(folderB);
            }
        });
        //initiate Camel
        camelContext.start();
        Thread.sleep(60000);
        //remember to terminate!!!
        camelContext.stop();
    }
}